// © 2021 Le Filament (<http://www.le-filament.com>)
// License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

odoo.define('cosavoirs_digiforma_sales.sessions_report', function (require) {
	"use strict";

	var core = require('web.core');
	var session = require('web.session');
	var AbstractAction = require('web.AbstractAction');
	var QWeb = core.qweb;

	var SessionsReport = AbstractAction.extend({
	    template: 'Sessions',

	    init: function(parent, params) {
	      var result = this._super.apply(this, arguments);
	      this.model = params.context.active_model;
	      this.action = params.context.action;
	      this.active_id = params.context.active_id;
	      return result;
	    },

	    willStart: function() {
	        var deferred = new jQuery.Deferred();
	        var self = this;
	        this.values = {};

            console.log(this)
	        this._rpc({
				    model: self.model,
				    method: self.action,
				    args: [self.active_id],
				})
                .then(function(results) {
                    console.log(results);
                    self.values = results;
                    deferred.resolve();
                });
	          return jQuery.when(this._super.apply(this, arguments),deferred);
	    },

	    start: function() {
	    },

	});

	core.action_registry.add('cosavoirs_digiforma_sales.sessions_report', SessionsReport);


});
